<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- Set output style. XML with no indentations -->
<xsl:output indent="no" method="xml" omit-xml-declaration="yes"/>

<!-- Set global variables. This reads the path variable sent from Flare that creates an absolute path. --> 
	<xsl:variable name="rawPath"><xsl:value-of select="unparsed-text('..\path.txt','UTF-8')"/></xsl:variable>
	<xsl:variable name="stringLength"><xsl:value-of select="string-length($rawPath)"/></xsl:variable>
	<xsl:variable name="projectPath"><xsl:value-of select="substring($rawPath,1,$stringLength - 3)"/></xsl:variable>

<!-- Reads the file list text file into memory as a global variable. -->
	<xsl:variable name="fileList"><xsl:value-of select="$projectPath"/>Content\file_list.txt</xsl:variable>	


<!-- Parses the file list text file to create an XML list of files that can be fed to the transformer -->
<xsl:template match="filelist">
<!-- Create a variable that can be parsed -->
<xsl:variable name="filelist_raw"><xsl:value-of select="unparsed-text($fileList,'UTF-8')"/></xsl:variable>
<!-- Create a open and close file tags for each line in the list -->
<xsl:variable name="driveLetter"><xsl:value-of select="substring-before(unparsed-text($fileList,'UTF-8'),':')"/>:<xsl:text disable-output-escaping="yes">\\</xsl:text></xsl:variable>
<xsl:variable name="driveLetterReplacement"><xsl:text disable-output-escaping="yes">&lt;file&gt;</xsl:text><xsl:value-of select="$driveLetter"/></xsl:variable>
<!-- Generate an xml tree. The value-of is doing a text-level replacement. Looking for the drive letter and replacing it  -->
<!-- with the file open tag and drive letter. Looking for the file extension and replacing with the extension and file close tag.-->
<file_list>
	<xsl:value-of select="replace(replace($filelist_raw,'.htm','.htm&lt;/file&gt;'),$driveLetter,$driveLetterReplacement)" disable-output-escaping="yes"/>
</file_list>
</xsl:template>
</xsl:stylesheet>
